import 'dart:convert';
import 'dart:io';
import 'package:http/http.dart' as http;
import 'package:insuideindoor/main/poi_model.dart';
import 'package:insuideindoor/main/token_model.dart';

class InternetService {
  static GetPoi? poiData;
  TokenModel? tm;

  Future<String> fetchToken() async {
    String? token;
    http.Response response;
    try {
      response = await http
          .post(Uri.parse("https://adl.wisefly.in/token/generat_token"));

      if (response.statusCode == 200) {
        tm = TokenModel.fromJson(jsonDecode(response.body));
        token = tm!.token;
        print('TOKEN ${tm!.token}');
        print("token2 $token");
        return token;
      } else {
        return "";
      }
    } catch (e) {
      throw e.toString();
    }
  }

  Future<GetPoi?> getPOI(String finalToken) async {
    print("finalToken $finalToken");
    var body = {"appname": "bom", "secret": finalToken};
    final headers = {
      'Content-Type': 'application/json',
    };
    final jsonString = json.encode(body);
    print("jsonString $jsonString");
    http.Response response;
    try {
      response = await http.post(
          Uri.parse("https://adl.wisefly.in/poisroute/getpois"),
          headers: headers,
          body: jsonString);

      print("response ${response.body}");

      if (response.statusCode == 200) {
        poiData = GetPoi.fromJson(jsonDecode(response.body));
        print("poiData ${poiData!.success}");
        return poiData;
      } else {
        return null;
      }
    } catch (e) {
      throw e.toString();
    }
  }
}
